Subject: bug#13226: 24.3.50; set-file-acl on MS Windows shall check ACL string format

From: Michael Albinus <[email-masked]>
Date: Wed, 19 Dec 2012 17:55:24 +0100

Eli Zaretskii <[email-masked]> writes:

> Finally, I question the whole idea of copying ACLs between machines,
> because they are inherently system-dependent, and even if both
> machines run the same system, a user "foo" and a group "bar" on both
> machines are likely to map to very different users and groups, at
> least on Posix hosts.

Maybe. But a user "root" is comparable on different hosts.

And copying ACLs between two different files on the same remote host
sounds useful.

What might be sufficient is that `set-file-acl' raises another error but
`file-error' in case the operation fails. `file-error' would be good, if
the file itself does not exist, and alike. Tramp could decide then what
to do.

Best regards, Michael.